Package com.independentsoft.office.word

# Class Comment

java.lang.Object
com.independentsoft.office.word.Markup
com.independentsoft.office.word.TrackChange
com.independentsoft.office.word.Comment

public class Comment extends TrackChange
The Class Comment.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.word.TrackChange

  `author, date`

  ### Fields inherited from class com.independentsoft.office.word.Markup

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Comment()`
  Instantiates a new comment.
  `Comment​(long id)`
  Instantiates a new comment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(CustomXml customXml)`
  Adds the.
  `void`
  `add​(StructuredDocumentTag structuredDocumentTag)`
  Adds the.
  `void`
  `add​(IBlockElement contentElement)`
  Adds the.
  `void`
  `add​(Paragraph paragraph)`
  Adds the.
  `void`
  `add​(Table table)`
  Adds the.
  `Comment`
  `clone()`
  `List<IBlockElement>`
  `getContent()`
  Gets the content.
  `String`
  `getInitials()`
  Gets the initials.
  `void`
  `setInitials​(String initials)`
  Sets the initials.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.word.TrackChange

  `getAuthor, getDate, setAuthor, setDate`

  ### Methods inherited from class com.independentsoft.office.word.Markup

  `getID, setID`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Comment

    public Comment()
    Instantiates a new comment.

  - ### Comment

    public Comment​(long id)
    Instantiates a new comment.
    Parameters:
      `id` - the id

- ## Method Details

  - ### add

    public void add​(Paragraph paragraph)
    Adds the.
    Parameters:
      `paragraph` - the paragraph

  - ### add

    public void add​(Table table)
    Adds the.
    Parameters:
      `table` - the table

  - ### add

    public void add​(CustomXml customXml)
    Adds the.
    Parameters:
      `customXml` - the custom xml

  - ### add

    public void add​(StructuredDocumentTag structuredDocumentTag)
    Adds the.
    Parameters:
      `structuredDocumentTag` - the structured document tag

  - ### add

    public void add​(IBlockElement contentElement)
    Adds the.
    Parameters:
      `contentElement` - the content element

  - ### clone

    public Comment clone()
    Overrides:
      `clone` in class `TrackChange`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getContent

    public List<IBlockElement> getContent()
    Gets the content.
    Returns:
      the content

  - ### getInitials

    public String getInitials()
    Gets the initials.
    Returns:
      the initials

  - ### setInitials

    public void setInitials​(String initials)
    Sets the initials.
    Parameters:
      `initials` - the new initials